Agora RTC Objective-C API Reference Refactor

Properties
AgoraSpatialAudioZone Class Reference

Inherits <NSObject>.

## Properties
NSInteger | zoneSetId
simd_float3 | position
simd_float3 | forward
simd_float3 | right
simd_float3 | up
float | forwardLength
float | rightLength
float | upLength
float | audioAttenuation

## Property Documentation

## ◆ zoneSetId

- (NSInteger) zoneSetId
| read write nonatomic assign

The ID of the sound insulation area.

## ◆ position

- (simd_float3) position
| read write nonatomic assign

The spatial center point of the sound insulation area. This parameter is an array of length 3, and the three values represent the front, right, and top coordinates in turn.

## ◆ forward

- (simd_float3) forward
| read write nonatomic assign

Starting at `position`, the forward unit vector. This parameter is an array of length 3, and the three values represent the front, right, and top coordinates in turn.

## ◆ right

- (simd_float3) right
| read write nonatomic assign

Starting at `position`, the right unit vector. This parameter is an array of length 3, and the three values represent the front, right, and top coordinates in turn.

## ◆ up

- (simd_float3) up
| read write nonatomic assign

Starting at `position`, the up unit vector. This parameter is an array of length 3, and the three values represent the front, right, and top coordinates in turn.

## ◆ forwardLength

- (float) forwardLength
| read write nonatomic assign

The entire sound insulation area is regarded as a cube; this represents the length of the forward side in the unit length of the game engine.

## ◆ rightLength

- (float) rightLength
| read write nonatomic assign

The entire sound insulation area is regarded as a cube; this represents the length of the right side in the unit length of the game engine.

## ◆ upLength

- (float) upLength
| read write nonatomic assign

The entire sound insulation area is regarded as a cube; this represents the length of the up side in the unit length of the game engine.

## ◆ audioAttenuation

- (float) audioAttenuation
| read write nonatomic assign

The sound attenuation coefficient when users within the sound insulation area communicate with external users. The value range is [0,1]. The values are as follows:

- 0: Broadcast mode, where the volume and timbre are not attenuated with distance, and the volume and timbre heard by local users do not change regardless of distance.
- (0,0.5): Weak attenuation mode, that is, the volume and timbre are only weakly attenuated during the propagation process, and the sound can travel farther than the real environment.
- 0.5: (Default) simulates the attenuation of the volume in the real environment; the effect is equivalent to not setting the `audioAttenuation` parameter.
- (0.5,1]: Strong attenuation mode (default value is 1), that is, the volume and timbre attenuate rapidly during propagation.